Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ConfigTrackPluginManager

    java.lang.Object
      net.hyperic.hq.product.PluginManager
          net.hyperic.hq.product.TrackEventPluginManager
              net.hyperic.hq.product.ConfigTrackPluginManager

public class ConfigTrackPluginManager
extends TrackEventPluginManager

Field Summary

Fields inherited from class net.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`ConfigTrackPluginManager()`
`ConfigTrackPluginManager(java.util.Properties props)`

Method Summary
`java.lang.String` `getName()`

Methods inherited from class net.hyperic.hq.product.TrackEventPluginManager
`addEventLogNotification, addFileWatcher, addRunnableTracker, closeEventLogs, getEvents, init, removeEventLogNotification, removeFileWatcher, removeRunnableTracker, reportEvent, shutdown`

Methods inherited from class net.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, mergeConfigSchema, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigTrackPluginManager

    public ConfigTrackPluginManager()

### ConfigTrackPluginManager

    public ConfigTrackPluginManager(java.util.Properties props)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `TrackEventPluginManager`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.